<?php
$selector = ['gymnase', 'bib', 'ru', 'csh', 'tp', 'stpi', 'gc', 'gpe', 'gp', 'gei', 'gm', 'exam', 'loge', 'laverie', 'gmm', 'r3', 'r4', 'r5', 'r6', 'r7', 'r1', 'r2', 'amicale', 'pk', 'trou'];


//attention, les éléments sont dans l'ordre
$title = [
'Le gymnase',
'bib\'insa et cafet',
'le ru',
'Le CSH',
'Le bâtiment des TPs',
'Le STPI, amphi Riquet et amphi Vinci',
'Le GC',
'Le GPE',
'Le GP',
'Le GEI',
'Le GM',
'le âtiment des exams et labo AIME',
'La loge',
'La laverie',
'Le GMM, CSN et amphi Fourrier',
'Le R3',
'Le R4',
'Le R5',
'Le R6',
'Le R7',
'Le R1',
'Le R2',
'L\'amicale',
'Le PK',
'Le trou'
];

$desc = [
'Parce qu\'à l\'INSA on fait aussi du sport.',
'Ton repère si tu aimes le travail de groupe.\n<br><br>\nEt juste dessous la cafét pour varier les plaisirs et pour te sauver le soir.',
'Sympa, convivial, grand avant 12h13.',
'LE bâtiment avec TOUTES tes matières préférées : en plus de l\'anglais et des autres langues enseignées à l\'INSA, on t\'y parle aussi d\'Expression, de Gestion, de Philo, de PPI...youpi !',
'Nom bizarre pour un bâtiment mais tu y iras seulement pour les TP d\'Electrocinétique et d\'Optique\n',
'Le bâtiment des salles de cours classiques, avec son bureau des stages, son administration des premières années, et...ses sous-sols.\n\nY\'a aussi l\'amphi Vinci (et ses 300 places, souvent occupées en même temps sauf étonnamment en gestion) et l\'amphi Riquet (pour Pierre-Paul, celui qui a initié la construction du canal, il est plus petit mais plus convivial).',
'Ceux du R5-R6 sont contents de le voir dans l\'emploi du temps.\n\n(C\'est le Génie Civil.)',
'Pour Génie des Procédés et Environnement, et pour de longues heures de chimie et de thermo avec ta belle blouse',
'Le Génie Physique, pour quelques cours mais sans plus.',
'C\'est le Génie Electronique et Informatique, où t\'iras peut-être quérir de l\'aide pour l\'Algo durant ton après-midi libre du jeudi.',
'Entre autres pour les TP de TI (c\'est le Génie Mécanique)',
'Seulement le lundi matin, pour t\'amuser devant ∫1/cos(x) dx\n<br><br>\n\nEt à côté y\'a le labo AIME.',
'L\'Accueil et la loge du gardien.',
'Et à côté la salle de danse et le lieu de réunion de la Junior INSA Services.',
'Le GMM (Génie Mathématique et Modélisation), que tu ne devrais pas voir souvent cette année.\r\n<br><br>\r\nEt le CSN (Centre des Services Numériques) à côté, où tu iras peut-être pour réviser l\'Algo...\r\n<br><br>\r\nEt enfin, l\'Amphi Fourier, c\'est pour les réceptions, les pièces du CATIN, les concerts des Enfoiros et les spectacles de danse de tes camarades au second semestre !',
'R3', //R3
'R4', //R4
'Ici on aime bien le calme',
'Ici on aime bien le calme',
'R7', //R7
'R1', //R1
'R2', //R2
'L\'Amicale', 'C\'est l\'Association des élèves, à côté de quelques clubs. Si tu as besoin de quelque chose ce sera toujours là-bas.',
'Le Ptit Kawa, mais PK c\'est mieux (Peks pour les intimes). Le bar de l\'INSA, idéal pour se reposer entre les cours en jouant à la coinche ou au mus, ou pour se détendre les mercredi soir grâce aux soirée PK !',
'de ton...'
];



//c'est peu compréhensible mais l'ancien systeme (avant Baptiste Rébillard <- moi) utilisait inutilement une base de donnée

if (isset($_GET['function'])) {
    if (htmlspecialchars($_GET['function']) == "get_map_info")
        get_map_info();
    elseif (htmlspecialchars($_GET['function']) == "get_map_selectors")
        get_map_selectors();
}

function get_map_selectors() {
    header('Content-Type: application/json');

    global $selector;

    //début bidouille (l'idée est de faire un format json artificiellement)
    echo "[";
    for ($i=0; $i < count($selector)-1 ; $i++) { 
         echo json_encode(array("selector" => $selector[$i])).",";
    }
    echo json_encode(array("selector" => $selector[count($selector)-1]))."]";
    //fin bidouille
}

function get_map_info() {
    if (isset($_GET['selector'])) {

        $select = htmlspecialchars($_GET['selector']);

        header('Content-Type: application/json');

        //on passe les tableau en variable globale pour les utiliser dans la fonction
        global $selector, $title, $desc;

        //on va chercher le selector dans la table selector afin de récuperer la positon dans le tableau
        $pos = array_search($select, $selector); 

        $array_to_send = array("title" => $title[$pos], "description" => $desc[$pos]);

        echo "[".json_encode($array_to_send)."]"; //il fallait rajouter des [] pour que ça marche
    } else {
        show_error();
    }  
}

function show_error() {
    echo "Échec : ";
    var_dump($_GET);
}
